package Asimetria;
/*
 * Sartu asimetria bat filosofoen gure definizioan.Erabili filosofoen zenbakia:
 * - zenbaki bakoitia dutenek aurretik ezkerreko sardeska hartzen dute, eta 
 * - zenbaki bikoitia dutenek aurretik eskubikoa.
 * 1. Filosofoen afaria asimetriarekin Java-z inplementatu
 * Jon Dorronsoro Maioz
 * 2020-10-28
 */
public class AfariApp {
	public static int Max = 5;
	public static void main (String args[]) {
		Pantaila p = new Pantaila(Max);
		p.hasiera();
		Sardeska[] sar = new Sardeska[Max];
		Filosofoa[] fil = new Filosofoa[Max];
		for (int i=0; i<Max; ++i)
			sar[i] = new Sardeska(i,p);
		for (int i=0; i<Max; ++i){
			fil[i] = new Filosofoa(sar[i], sar[(i-1+Max)%Max], p,i);
			fil[i].start();
		}
	}
}
