package Asimetria;

public class Filosofoa extends Thread{

	private Sardeska sR;
	private Sardeska sL;
	private Pantaila pant;
	private int zenb;
	
	public Filosofoa(Sardeska sL, Sardeska sR, Pantaila p, int zenb) {
		this.sR=sR;
		this.sL=sL;
		this.pant=p;
		this.zenb=zenb;
	}
	/*
	 * FIL(I=0) = (eseri->if (I%2==1) then (ezker.get->eskubi.get->JAN)
                               else (eskubi.get->ezker.get->JAN)),
	   JAN = (jan->ezker.put->eskubi.put->altxatu->FIL).
	 */
	public void run() {
		try {
			while (true) {
				pant.idatzi(zenb, "\tpentsatzen");  
				itxaron(1000);
				pant.idatzi(zenb, "\tgose");  
				itxaron(1000);
				if(zenb%2==1) {
					sL.get();
					pant.idatzi(zenb, "ezker.hartu du"); 
					itxaron(1000);
					sR.get();
					pant.idatzi(zenb, "eskub.hartu du"); 
				}else {
					sR.get();
					pant.idatzi(zenb, "eskub.hartu du"); 
					itxaron(1000);
					sL.get();
					pant.idatzi(zenb, "ezker.hartu du");
				}
				itxaron(1000);
				pant.idatzi(zenb, "\tjaten"); 
				itxaron(500);
				sR.put();
				pant.idatzi(zenb, "eskub.utzi du"); 
				itxaron(1000);
				sL.put();
				pant.idatzi(zenb, "ezker.utzi du"); 
				itxaron(1000);
			}
		}catch (InterruptedException e) {}
	}


	public void itxaron(int denb) {
		try {
			sleep((long)(Math.random()*denb));
		} catch (InterruptedException e) {
		}
	}
}
