package Asimetria;

public class Sardeska {
	private boolean hartua=false;
	private int zenbakia;
	private Pantaila pant;

	Sardeska(int zenb, Pantaila p){     
		zenbakia = zenb; 
		pant=p; 
	}

	//put->SARD[0]).
	public synchronized void put() {
		hartua=false;
		pant.idatzi(zenbakia+" utzia ");
		notify();  //ez daude denak esnatu beharrik nahikoa da bakarra esnatzea
	}
	
	//when (h==0) get->SARD[1]
	public synchronized void get() throws java.lang.InterruptedException {
		while (hartua) wait();
		hartua=true;
		pant.idatzi(zenbakia+" hartua");
	}
}
