package Maiordomo;

/*
 * 2. Filosofoen afarirako beste soluzio bat: 
 * bost filosofoetatik soilik lau filosofo eser daitezke batera.
 * MAIORDOMO prozesu bat espezifikatu, proposatutako ereduarekin konposatzean, 
 * gehienez lau filosofo eseri ekintza egitea baimentzen duena, altxatu ekintza bat gertatu aurretik. 
 * Ziurtatu ez dela elkar-blokeaketarik ematen.     
 * FSPz modelatu eta Javaz inplementatu.    
 * Trazan erakutsi behar da zenbat filosofo dauden eserita (izartxoekin adierazi)
 * Jon Dorronsoro Maioz
 * 2020-10-28
 */

public class AfariApp {
	public static int Max = 5;
	public static void main (String args[]) {
		Pantaila p = new Pantaila(Max);
		p.hasiera();
		Maiordomoa m = new Maiordomoa(p, Max);
		Sardeska[] sar = new Sardeska[Max];
		Filosofoa[] fil = new Filosofoa[Max];
		for (int i=0; i<Max; ++i)
			sar[i] = new Sardeska(i,p);
		for (int i=0; i<Max; ++i){
			fil[i] = new Filosofoa(sar[i], sar[(i-1+Max)%Max], p,i,m);
			fil[i].start();
		}
	}
}
