package Trena;

public class Atea {
	
	private int A;
	private int B;
	private int N;
	private Pantaila p;
	
	private int an=0;
	private int bi=0;
	
	public Atea(int A, int B, int N, Pantaila p) {//, Pantaila p
		this.A=A;
		this.B=B;
		this.N=N;
		this.p=p;
	}

	//when (bi<B)	b[i:BR].ateraJoan -> ATEA[bi+1][an]
	public synchronized void ateraJoan(int id) throws InterruptedException{
		while(!(bi<B)) wait();
		bi++;
		p.ateraJoan(id, bi, an);
	}
	
	//when (an<N) 	b[i:BR].irten	  -> ATEA[bi-1][an] 
	public synchronized void irten(int id) throws InterruptedException{
		while(!(an<N)) wait();
		bi--;
		p.irten(id, bi, an);
	}
	
	//when (an<A)  	a[j:AR].iritsi	  -> ATEA[bi][an+1]
	public synchronized void iritsi(int id) throws InterruptedException{
		while(!(an<A)) wait();
		an++;
		p.iritsi(id, an, bi);
	}
	
	//when (bi<N)	a[j:AR].sartu	  -> ATEA[bi][an-1]
	public synchronized void sartu(int id) throws InterruptedException{
		while(!(bi<N)) wait();
		an--;
		p.sartu(id, an, bi);
	}
}
